[Mailman-Users] Wrapper error

Christopher Schulte christopher at schulte.org
Sun Aug 29 22:33:40 CEST 1999

Take a look at 

At 12:10 PM 6/21/99 +0800, z at singtel.telcosucks.org wrote:
 >On Sun, 20 Jun 1999, Tom Hallewell wrote:
 >> Date: Sun, 20 Jun 1999 23:09:40 -0400
 >> Mailman has been working great for several months until I made a couple
 >> of changes on the server.
 >> I had been getting tons of mail errors because the hostname was actually
 >> an ALIAS according to DNS, so I changed the hostname to the CNAME and
 >> stopped getting the errors.  Around that same time, I upgraded to RedHat
 >> 6.0.   Somewhere along the line, I started getting this error everytime
 >> anyone tries to post to any of our lists:
 >>     ----- The following addresses had permanent fatal errors -----
 >> "|/home/mailman/mail/wrapper post be-install"
 >>     (expanded from: <be-install at techops.rfa.org>)
 >>    ----- Transcript of session follows -----
 >> sh: wrapper not available for sendmail programs
 >> 554 "|/home/mailman/mail/wrapper post be-install"... Service unavailable
 >> Reading between the lines :), it appears that for some reason sendmail
 >> is no longer allowing wrappers.  Any ideas?
 >The sendmail shipped with Redhat 6.0 has added security in that it doesn't
 >allow you to execute any external software unless they are specified by
 >smrsh. So, what you need to do is type in /etc/smrsh directory
 >"ln -s /home/mailman/mail/wrapper" and everything should automagically be
 >working as they used to be. :-)
 >Mailman-Users maillist  -  Mailman-Users at python.org

NAME: Christopher Schulte
MAIL: christopher at schulte.org
SITE: http://www.schulte.org/
FINGER: christopher at shell.schulte.org

One time, at band camp...

More information about the Mailman-Users mailing list